1. Registry
  2. Packages
  3. Artifactory Provider
  4. API Docs
  5. getRemoteAieditorextensionsRepository
Viewing docs for artifactory v8.11.6
published on Friday, Aug 14, 2026 by Pulumi
artifactory logo artifactory logo
Viewing docs for artifactory v8.11.6
published on Friday, Aug 14, 2026 by Pulumi

    Retrieves configuration for a remote AI-Editor Extensions repository.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as artifactory from "@pulumi/artifactory";
    
    const example = artifactory.getRemoteAieditorextensionsRepository({
        key: "my-remote-aieditorextensions",
    });
    
    import pulumi
    import pulumi_artifactory as artifactory
    
    example = artifactory.get_remote_aieditorextensions_repository(key="my-remote-aieditorextensions")
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-artifactory/sdk/v8/go/artifactory"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := artifactory.GetRemoteAieditorextensionsRepository(ctx, &artifactory.LookupRemoteAieditorextensionsRepositoryArgs{
    			Key: "my-remote-aieditorextensions",
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Artifactory = Pulumi.Artifactory;
    
    return await Deployment.RunAsync(() => 
    {
        var example = Artifactory.GetRemoteAieditorextensionsRepository.Invoke(new()
        {
            Key = "my-remote-aieditorextensions",
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.artifactory.ArtifactoryFunctions;
    import com.pulumi.artifactory.inputs.GetRemoteAieditorextensionsRepositoryArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var example = ArtifactoryFunctions.getRemoteAieditorextensionsRepository(GetRemoteAieditorextensionsRepositoryArgs.builder()
                .key("my-remote-aieditorextensions")
                .build());
    
        }
    }
    
    variables:
      example:
        fn::invoke:
          function: artifactory:getRemoteAieditorextensionsRepository
          arguments:
            key: my-remote-aieditorextensions
    
    pulumi {
      required_providers {
        artifactory = {
          source = "pulumi/artifactory"
        }
      }
    }
    
    data "artifactory_getremoteaieditorextensionsrepository" "example" {
      key = "my-remote-aieditorextensions"
    }
    

    Using getRemoteAieditorextensionsRepository

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getRemoteAieditorextensionsRepository(args: GetRemoteAieditorextensionsRepositoryArgs, opts?: InvokeOptions): Promise<GetRemoteAieditorextensionsRepositoryResult>
    function getRemoteAieditorextensionsRepositoryOutput(args: GetRemoteAieditorextensionsRepositoryOutputArgs, opts?: InvokeOutputOptions): Output<GetRemoteAieditorextensionsRepositoryResult>
    def get_remote_aieditorextensions_repository(key: Optional[str] = None,
                                                 opts: Optional[InvokeOptions] = None) -> GetRemoteAieditorextensionsRepositoryResult
    def get_remote_aieditorextensions_repository_output(key: pulumi.Input[Optional[str]] = None,
                                                 opts: Optional[InvokeOutputOptions] = None) -> Output[GetRemoteAieditorextensionsRepositoryResult]
    func LookupRemoteAieditorextensionsRepository(ctx *Context, args *LookupRemoteAieditorextensionsRepositoryArgs, opts ...InvokeOption) (*LookupRemoteAieditorextensionsRepositoryResult, error)
    func LookupRemoteAieditorextensionsRepositoryOutput(ctx *Context, args *LookupRemoteAieditorextensionsRepositoryOutputArgs, opts ...InvokeOption) LookupRemoteAieditorextensionsRepositoryResultOutput

    > Note: This function is named LookupRemoteAieditorextensionsRepository in the Go SDK.

    public static class GetRemoteAieditorextensionsRepository 
    {
        public static Task<GetRemoteAieditorextensionsRepositoryResult> InvokeAsync(GetRemoteAieditorextensionsRepositoryArgs args, InvokeOptions? opts = null)
        public static Output<GetRemoteAieditorextensionsRepositoryResult> Invoke(GetRemoteAieditorextensionsRepositoryInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetRemoteAieditorextensionsRepositoryResult> Invoke(GetRemoteAieditorextensionsRepositoryInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetRemoteAieditorextensionsRepositoryResult> getRemoteAieditorextensionsRepository(GetRemoteAieditorextensionsRepositoryArgs args, InvokeOptions options)
    public static Output<GetRemoteAieditorextensionsRepositoryResult> getRemoteAieditorextensionsRepository(GetRemoteAieditorextensionsRepositoryArgs args, InvokeOptions options)
    public static Output<GetRemoteAieditorextensionsRepositoryResult> getRemoteAieditorextensionsRepository(GetRemoteAieditorextensionsRepositoryArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: artifactory:index/getRemoteAieditorextensionsRepository:getRemoteAieditorextensionsRepository
      arguments:
        # arguments dictionary
    data "artifactory_get_remote_aieditorextensions_repository" "name" {
        # arguments
    }

    The following arguments are supported:

    Key string
    Repository key.
    Key string
    Repository key.
    key string
    Repository key.
    key String
    Repository key.
    key string
    Repository key.
    key str
    Repository key.
    key String
    Repository key.

    getRemoteAieditorextensionsRepository Result

    The following output properties are available:

    AllowAnyHostAuth bool
    AssumedOfflinePeriodSecs int
    BlockMismatchingMimeTypes bool
    BypassHeadRequests bool
    ClientTlsCertificate string
    Curated bool
    Whether the repository is protected by the Curation service.
    Description string
    DisableProxy bool
    DisableUrlNormalization bool
    EnableCookieManagement bool
    EnableTokenAuthentication bool
    Whether token (Bearer) based authentication is enabled.
    ExcludesPattern string
    ExternalDependenciesEnabled bool
    When set, Artifactory can resolve extension dependencies from the external sources matching externalDependenciesPatterns.
    ExternalDependenciesPatterns List<string>
    An allow list of Ant-style path patterns that determine which remote hosts external extension dependencies may be downloaded from.
    HardFail bool
    IncludesPattern string
    Key string
    ListRemoteFolderItems bool
    LocalAddress string
    MetadataRetrievalTimeoutSecs int
    MismatchingMimeTypesOverrideList string
    MissedCachePeriodSeconds int
    Notes string
    Offline bool
    PackageType string
    PassThrough bool
    Whether Pass-through for Curation Audit is enabled.
    Password string
    ProjectEnvironments List<string>
    ProjectKey string
    PropagateQueryParams bool
    Whether query params included in the request to Artifactory are passed on to the remote repository.
    Proxy string
    QueryParams string
    RemoteRepoLayoutRef string
    RepoLayoutRef string
    RetrievalCachePeriodSeconds int
    RetrieveSha256FromServer bool
    Whether Artifactory retrieves the SHA256 from the remote server when it is not cached in the remote repo.
    ShareConfiguration bool
    SocketTimeoutMillis int
    StoreArtifactsLocally bool
    SynchronizeProperties bool
    UnusedArtifactsCleanupPeriodHours int
    Url string
    Username string
    AllowAnyHostAuth bool
    AssumedOfflinePeriodSecs int
    BlockMismatchingMimeTypes bool
    BypassHeadRequests bool
    ClientTlsCertificate string
    Curated bool
    Whether the repository is protected by the Curation service.
    Description string
    DisableProxy bool
    DisableUrlNormalization bool
    EnableCookieManagement bool
    EnableTokenAuthentication bool
    Whether token (Bearer) based authentication is enabled.
    ExcludesPattern string
    ExternalDependenciesEnabled bool
    When set, Artifactory can resolve extension dependencies from the external sources matching externalDependenciesPatterns.
    ExternalDependenciesPatterns []string
    An allow list of Ant-style path patterns that determine which remote hosts external extension dependencies may be downloaded from.
    HardFail bool
    IncludesPattern string
    Key string
    ListRemoteFolderItems bool
    LocalAddress string
    MetadataRetrievalTimeoutSecs int
    MismatchingMimeTypesOverrideList string
    MissedCachePeriodSeconds int
    Notes string
    Offline bool
    PackageType string
    PassThrough bool
    Whether Pass-through for Curation Audit is enabled.
    Password string
    ProjectEnvironments []string
    ProjectKey string
    PropagateQueryParams bool
    Whether query params included in the request to Artifactory are passed on to the remote repository.
    Proxy string
    QueryParams string
    RemoteRepoLayoutRef string
    RepoLayoutRef string
    RetrievalCachePeriodSeconds int
    RetrieveSha256FromServer bool
    Whether Artifactory retrieves the SHA256 from the remote server when it is not cached in the remote repo.
    ShareConfiguration bool
    SocketTimeoutMillis int
    StoreArtifactsLocally bool
    SynchronizeProperties bool
    UnusedArtifactsCleanupPeriodHours int
    Url string
    Username string
    allow_any_host_auth bool
    assumed_offline_period_secs number
    block_mismatching_mime_types bool
    bypass_head_requests bool
    client_tls_certificate string
    curated bool
    Whether the repository is protected by the Curation service.
    description string
    disable_proxy bool
    disable_url_normalization bool
    enable_cookie_management bool
    enable_token_authentication bool
    Whether token (Bearer) based authentication is enabled.
    excludes_pattern string
    external_dependencies_enabled bool
    When set, Artifactory can resolve extension dependencies from the external sources matching externalDependenciesPatterns.
    external_dependencies_patterns list(string)
    An allow list of Ant-style path patterns that determine which remote hosts external extension dependencies may be downloaded from.
    hard_fail bool
    includes_pattern string
    key string
    list_remote_folder_items bool
    local_address string
    metadata_retrieval_timeout_secs number
    mismatching_mime_types_override_list string
    missed_cache_period_seconds number
    notes string
    offline bool
    package_type string
    pass_through bool
    Whether Pass-through for Curation Audit is enabled.
    password string
    project_environments list(string)
    project_key string
    propagate_query_params bool
    Whether query params included in the request to Artifactory are passed on to the remote repository.
    proxy string
    query_params string
    remote_repo_layout_ref string
    repo_layout_ref string
    retrieval_cache_period_seconds number
    retrieve_sha256_from_server bool
    Whether Artifactory retrieves the SHA256 from the remote server when it is not cached in the remote repo.
    share_configuration bool
    socket_timeout_millis number
    store_artifacts_locally bool
    synchronize_properties bool
    unused_artifacts_cleanup_period_hours number
    url string
    username string
    allowAnyHostAuth Boolean
    assumedOfflinePeriodSecs Integer
    blockMismatchingMimeTypes Boolean
    bypassHeadRequests Boolean
    clientTlsCertificate String
    curated Boolean
    Whether the repository is protected by the Curation service.
    description String
    disableProxy Boolean
    disableUrlNormalization Boolean
    enableCookieManagement Boolean
    enableTokenAuthentication Boolean
    Whether token (Bearer) based authentication is enabled.
    excludesPattern String
    externalDependenciesEnabled Boolean
    When set, Artifactory can resolve extension dependencies from the external sources matching externalDependenciesPatterns.
    externalDependenciesPatterns List<String>
    An allow list of Ant-style path patterns that determine which remote hosts external extension dependencies may be downloaded from.
    hardFail Boolean
    includesPattern String
    key String
    listRemoteFolderItems Boolean
    localAddress String
    metadataRetrievalTimeoutSecs Integer
    mismatchingMimeTypesOverrideList String
    missedCachePeriodSeconds Integer
    notes String
    offline Boolean
    packageType String
    passThrough Boolean
    Whether Pass-through for Curation Audit is enabled.
    password String
    projectEnvironments List<String>
    projectKey String
    propagateQueryParams Boolean
    Whether query params included in the request to Artifactory are passed on to the remote repository.
    proxy String
    queryParams String
    remoteRepoLayoutRef String
    repoLayoutRef String
    retrievalCachePeriodSeconds Integer
    retrieveSha256FromServer Boolean
    Whether Artifactory retrieves the SHA256 from the remote server when it is not cached in the remote repo.
    shareConfiguration Boolean
    socketTimeoutMillis Integer
    storeArtifactsLocally Boolean
    synchronizeProperties Boolean
    unusedArtifactsCleanupPeriodHours Integer
    url String
    username String
    allowAnyHostAuth boolean
    assumedOfflinePeriodSecs number
    blockMismatchingMimeTypes boolean
    bypassHeadRequests boolean
    clientTlsCertificate string
    curated boolean
    Whether the repository is protected by the Curation service.
    description string
    disableProxy boolean
    disableUrlNormalization boolean
    enableCookieManagement boolean
    enableTokenAuthentication boolean
    Whether token (Bearer) based authentication is enabled.
    excludesPattern string
    externalDependenciesEnabled boolean
    When set, Artifactory can resolve extension dependencies from the external sources matching externalDependenciesPatterns.
    externalDependenciesPatterns string[]
    An allow list of Ant-style path patterns that determine which remote hosts external extension dependencies may be downloaded from.
    hardFail boolean
    includesPattern string
    key string
    listRemoteFolderItems boolean
    localAddress string
    metadataRetrievalTimeoutSecs number
    mismatchingMimeTypesOverrideList string
    missedCachePeriodSeconds number
    notes string
    offline boolean
    packageType string
    passThrough boolean
    Whether Pass-through for Curation Audit is enabled.
    password string
    projectEnvironments string[]
    projectKey string
    propagateQueryParams boolean
    Whether query params included in the request to Artifactory are passed on to the remote repository.
    proxy string
    queryParams string
    remoteRepoLayoutRef string
    repoLayoutRef string
    retrievalCachePeriodSeconds number
    retrieveSha256FromServer boolean
    Whether Artifactory retrieves the SHA256 from the remote server when it is not cached in the remote repo.
    shareConfiguration boolean
    socketTimeoutMillis number
    storeArtifactsLocally boolean
    synchronizeProperties boolean
    unusedArtifactsCleanupPeriodHours number
    url string
    username string
    allow_any_host_auth bool
    assumed_offline_period_secs int
    block_mismatching_mime_types bool
    bypass_head_requests bool
    client_tls_certificate str
    curated bool
    Whether the repository is protected by the Curation service.
    description str
    disable_proxy bool
    disable_url_normalization bool
    enable_cookie_management bool
    enable_token_authentication bool
    Whether token (Bearer) based authentication is enabled.
    excludes_pattern str
    external_dependencies_enabled bool
    When set, Artifactory can resolve extension dependencies from the external sources matching externalDependenciesPatterns.
    external_dependencies_patterns Sequence[str]
    An allow list of Ant-style path patterns that determine which remote hosts external extension dependencies may be downloaded from.
    hard_fail bool
    includes_pattern str
    key str
    list_remote_folder_items bool
    local_address str
    metadata_retrieval_timeout_secs int
    mismatching_mime_types_override_list str
    missed_cache_period_seconds int
    notes str
    offline bool
    package_type str
    pass_through bool
    Whether Pass-through for Curation Audit is enabled.
    password str
    project_environments Sequence[str]
    project_key str
    propagate_query_params bool
    Whether query params included in the request to Artifactory are passed on to the remote repository.
    proxy str
    query_params str
    remote_repo_layout_ref str
    repo_layout_ref str
    retrieval_cache_period_seconds int
    retrieve_sha256_from_server bool
    Whether Artifactory retrieves the SHA256 from the remote server when it is not cached in the remote repo.
    share_configuration bool
    socket_timeout_millis int
    store_artifacts_locally bool
    synchronize_properties bool
    unused_artifacts_cleanup_period_hours int
    url str
    username str
    allowAnyHostAuth Boolean
    assumedOfflinePeriodSecs Number
    blockMismatchingMimeTypes Boolean
    bypassHeadRequests Boolean
    clientTlsCertificate String
    curated Boolean
    Whether the repository is protected by the Curation service.
    description String
    disableProxy Boolean
    disableUrlNormalization Boolean
    enableCookieManagement Boolean
    enableTokenAuthentication Boolean
    Whether token (Bearer) based authentication is enabled.
    excludesPattern String
    externalDependenciesEnabled Boolean
    When set, Artifactory can resolve extension dependencies from the external sources matching externalDependenciesPatterns.
    externalDependenciesPatterns List<String>
    An allow list of Ant-style path patterns that determine which remote hosts external extension dependencies may be downloaded from.
    hardFail Boolean
    includesPattern String
    key String
    listRemoteFolderItems Boolean
    localAddress String
    metadataRetrievalTimeoutSecs Number
    mismatchingMimeTypesOverrideList String
    missedCachePeriodSeconds Number
    notes String
    offline Boolean
    packageType String
    passThrough Boolean
    Whether Pass-through for Curation Audit is enabled.
    password String
    projectEnvironments List<String>
    projectKey String
    propagateQueryParams Boolean
    Whether query params included in the request to Artifactory are passed on to the remote repository.
    proxy String
    queryParams String
    remoteRepoLayoutRef String
    repoLayoutRef String
    retrievalCachePeriodSeconds Number
    retrieveSha256FromServer Boolean
    Whether Artifactory retrieves the SHA256 from the remote server when it is not cached in the remote repo.
    shareConfiguration Boolean
    socketTimeoutMillis Number
    storeArtifactsLocally Boolean
    synchronizeProperties Boolean
    unusedArtifactsCleanupPeriodHours Number
    url String
    username String

    Package Details

    Repository
    artifactory pulumi/pulumi-artifactory
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the artifactory Terraform Provider.
    artifactory logo artifactory logo
    Viewing docs for artifactory v8.11.6
    published on Friday, Aug 14, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial